<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>UWM Information Request Form</title>
    <style>
        body {
            background-color: #c0d6e4;
            font-family: Arial, sans-serif;
            margin: 0;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .container {
            width: 600px;
            padding: 50px;
            background-color: #e9ecef;
            border: 1px solid #ccc;
            box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }

        /* UWM Logo */
        .logo {
            display: block;
            margin: 0 auto 20px;
            width: 150px;
            height: auto;
        }

        h2, h3 {
            text-align: center;
            margin: 0;
        }

        h2 {
            margin-bottom: 10px;
        }

        h3 {
            margin-bottom: 20px;
        }

        .form-box {
            border: 1px solid #333;
            padding: 15px;
            border-radius: 8px;
            background-color: #f1f1f1;
        }

        /* Align label and input in the same line */
        .form-group {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 10px;
        }

        label {
            width: 30%;
            text-align: right;
            padding-right: 10px;
        }

        input[type="text"],
        input[type="email"],
        select,
        textarea {
            width: 65%;
            padding: 8px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }

        input[type="radio"],
        input[type="checkbox"] {
            margin-right: 5px;
        }

        .submit-btn {
            width: 30%;
            padding: 10px;
            background-color: #0073e6;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }

        .submit-btn:hover {
            background-color: #005bb5;
        }

        /* Styling for radio buttons and checkboxes */
        .radio-group, .checkbox-group {
            text-align: left;
            margin-bottom: 10px;
        }

        .textarea-group {
            margin-top: 15px;
            width: auto;
        }
    </style>
</head>
<body>

    <div class="container">
        <!-- UWM Logo -->
        <img src="download.png" alt="UWM Logo" class="logo">

        <!-- Form Heading -->
        <h2>UWM Information Request Form</h2>
        <h3>Hugues Bolembe | Assignment 4-5</h3>

        <div class="form-box">
            <form action="handle_form.php" method="POST">
                <!-- First Name -->
                <div class="form-group">
                    <label for="first_name">First Name:</label>
                    <input type="text" id="first_name" name="first_name">
                </div>

                <!-- Last Name -->
                <div class="form-group">
                    <label for="last_name">Last Name:</label>
                    <input type="text" id="last_name" name="last_name">
                </div>

                <!-- Email -->
                <div class="form-group">
                    <label for="email">Email:</label>
                    <input type="email" id="email" name="email">
                </div>

                <!-- Phone -->
                <div class="form-group">
                    <label for="phone">Phone:</label>
                    <input type="text" id="phone" name="phone">
                </div>

                <!-- Birth Date -->
                <div class="form-group">
                    <label for="birthdate">Birth Date:</label>
                    <select name="month">
                        <option value="">Month</option>
                        <?php
                        $months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
                        foreach ($months as $month) {
                            echo "<option value='$month'>$month</option>";
                        }
                        ?>
                    </select>
                    <select name="day">
                        <option value="">Day</option>
                        <?php for ($day = 1; $day <= 31; $day++) {
                            echo "<option value='$day'>$day</option>";
                        } ?>
                    </select>
                    <select name="year">
                        <option value="">Year</option>
                        <?php for ($year = 1950; $year <= 2024; $year++) {
                            echo "<option value='$year'>$year</option>";
                        } ?>
                    </select>
                </div>

                <!-- Student Status -->
                <div class="radio-group">
                    <label>Are you a student at UWM?</label><br>
                    <input type="radio" id="yes" name="uwm_student" value="Yes"> Yes
                    <input type="radio" id="no" name="uwm_student" value="No"> No
                </div>

                <!-- Areas of Interest -->
                <div class="checkbox-group">
                    <label>What areas are you interested in?</label><br>
                    <input type="checkbox" name="interests[]" value="Information Technology"> Information Technology
                    <input type="checkbox" name="interests[]" value="History"> History
                    <input type="checkbox" name="interests[]" value="Math"> Math
                </div>

                <!-- Comments -->
                <div class="textarea-group">
                    <label for="comments">Please enter some comments:</label><br>
                    <textarea id="comments" name="comments" rows="4" cols="50"></textarea>
                </div>

                <!-- Submit Button -->
                <input type="submit" class="submit-btn" value="Submit">
            </form>
        </div>
    </div>

</body>
</html>
